extends ../_docs-template

block vars
  - var activeLink = 'vue';
  - var title = 'Subnavbar Vue Component | Framework7 Vue Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-vue
  .docs-content
    .motion-docs-page-title
      h1 Subnavbar Vue Component
      script(src="/js/motion/subnavbar.js")
      f7-motion-subnavbar(motion)

    p Subnavbar is useful when you need to put any additional elements into Navbar, like Tab Links or Search Bar. It also remains visible when Navbar hidden.
    p Subnavbar Vue component represents <a href="../docs/subnavbar.html">Subnavbar</a> component.
    h2 Subnavbar Components
    p There are following components included:
    ul
      li `f7-subnavbar`
    h2 Subnavbar Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          th(colspan="4") &lt;f7-subnavbar&gt; properties
        tr
          td sliding
          td boolean
          td
          td Enables "sliding" effect
        tr
          td title
          td string
          td
          td Subnvabar title
        tr
          td inner
          td boolean
          td true
          td When enabled the additional "subnavbar-inner" wrapper element will be added

    h2 Examples
    +examplePreview('vue', 'subnavbar.vue', 'subnavbar')
    +examplePreview('vue', 'subnavbar-title.vue', 'subnavbar-title')
